<html>
<head>
<title>OGRE: Ogre::CompositionTechnique Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a></div>
<h1>Ogre::CompositionTechnique Class Reference</h1><!-- doxytag: class="Ogre::CompositionTechnique" -->Base composition technique, can be subclassed in plugins.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1CompositionTechnique-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#e3bc01432cca2866776fc578be61b7b5">TargetPasses</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Typedefs for several iterators.  <a href="#e3bc01432cca2866776fc578be61b7b5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br>
&lt; <a class="el" href="classOgre_1_1CompositionTechnique.html#e3bc01432cca2866776fc578be61b7b5">TargetPasses</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#5a54aecf9c72e8323b12d55199308c66">TargetPassIterator</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#f6b63a9d4592c48d2389525148a334ee">TextureDefinitions</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br>
&lt; <a class="el" href="classOgre_1_1CompositionTechnique.html#f6b63a9d4592c48d2389525148a334ee">TextureDefinitions</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#34f28a53486ea2cee58619b2c1a639fe">TextureDefinitionIterator</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#ed3697e1f5dee4e6e71b03338371dac9">CompositionTechnique</a> (<a class="el" href="classOgre_1_1Compositor.html">Compositor</a> *parent)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#3b37aab5a73a19c0c2537b33cea5256e">~CompositionTechnique</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#4354d86478e8ec9fdf65024ea5ddfd6a">createTextureDefinition</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new local texture definition, and return a pointer to it.  <a href="#4354d86478e8ec9fdf65024ea5ddfd6a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#4bba82fa0f4e54090a2497fe9f658fab">removeTextureDefinition</a> (size_t idx)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove and destroy a local texture definition.  <a href="#4bba82fa0f4e54090a2497fe9f658fab"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#c7ba0d0414282dde01b1d117b8dc5dc1">getTextureDefinition</a> (size_t idx)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a local texture definition.  <a href="#c7ba0d0414282dde01b1d117b8dc5dc1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#c9408a93189794940d922152d9c8f3c7">getNumTextureDefinitions</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the number of local texture definitions.  <a href="#c9408a93189794940d922152d9c8f3c7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#03d4c71942abef880d9b2c9e363fe259">removeAllTextureDefinitions</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove all <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> Definitions.  <a href="#03d4c71942abef880d9b2c9e363fe259"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VectorIterator.html">TextureDefinitionIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#07fe9d82291bef342e223b765a88a5f1">getTextureDefinitionIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over the TextureDefinitions in this <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>.  <a href="#07fe9d82291bef342e223b765a88a5f1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#781c6fcbbfc75d7c4265e268e9749f93">createTargetPass</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new target pass, and return a pointer to it.  <a href="#781c6fcbbfc75d7c4265e268e9749f93"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#13b52dbaf483cd1ab0eec9edbef078e2">removeTargetPass</a> (size_t idx)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a target pass.  <a href="#13b52dbaf483cd1ab0eec9edbef078e2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#6a37afdc7cf51e51912ce6704879e2d3">getTargetPass</a> (size_t idx)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a target pass.  <a href="#6a37afdc7cf51e51912ce6704879e2d3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#831f0aa39181fbd9b8fad6b637ce7c41">getNumTargetPasses</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the number of target passes.  <a href="#831f0aa39181fbd9b8fad6b637ce7c41"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#4b34afd12984d3a5883e24b512c2b4a2">removeAllTargetPasses</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove all target passes.  <a href="#4b34afd12984d3a5883e24b512c2b4a2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VectorIterator.html">TargetPassIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#472bbfd655c99319514ebc1fc58961c5">getTargetPassIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over the TargetPasses in this <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>.  <a href="#472bbfd655c99319514ebc1fc58961c5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#2b2cd304cc127a05befe4e3f3e20d6e9">getOutputTargetPass</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get output (final) target pass.  <a href="#2b2cd304cc127a05befe4e3f3e20d6e9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#7395bb89044375bea1be770737651875">isSupported</a> (bool allowTextureDegradation)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine if this technique is supported on the current rendering device.  <a href="#7395bb89044375bea1be770737651875"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <br>
<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#6a188818c7d211f3098bc41911316ec2">createInstance</a> (<a class="el" href="classOgre_1_1CompositorChain.html">CompositorChain</a> *chain)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create an instance of this technique.  <a href="#6a188818c7d211f3098bc41911316ec2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#f5141ebed82c9d8f289d1282de4bb0b3">destroyInstance</a> (<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *instance)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroy an instance of this technique.  <a href="#f5141ebed82c9d8f289d1282de4bb0b3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Compositor.html">Compositor</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#6b95f7376905fe23c3d5a27b0ec783d6">getParent</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get parent object.  <a href="#6b95f7376905fe23c3d5a27b0ec783d6"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#5fde9e336592c35d6f710d60da1efb80">Instances</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of instances.  <a href="#5fde9e336592c35d6f710d60da1efb80"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Compositor.html">Compositor</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#791ad4ded1b613b23d43db23b62c690b">mParent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parent compositor.  <a href="#791ad4ded1b613b23d43db23b62c690b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html#f6b63a9d4592c48d2389525148a334ee">TextureDefinitions</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#8d39acbfeeaa68fa427368cc8d88102f">mTextureDefinitions</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Local texture definitions.  <a href="#8d39acbfeeaa68fa427368cc8d88102f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html#e3bc01432cca2866776fc578be61b7b5">TargetPasses</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#b7b054bcbf8c12d0b67adecba5dfcff1">mTargetPasses</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Intermediate target passes.  <a href="#b7b054bcbf8c12d0b67adecba5dfcff1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#36aa8592eb69b1a98452ca89cb6d091d">mOutputTarget</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output target pass (can be only one).  <a href="#36aa8592eb69b1a98452ca89cb6d091d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html#5fde9e336592c35d6f710d60da1efb80">Instances</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#0a6ced342bcebc4022b1b6b9e713849d">mInstances</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Local texture definition.  <a href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#_details">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Base composition technique, can be subclassed in plugins. 
<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00039">39</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="e3bc01432cca2866776fc578be61b7b5"></a><!-- doxytag: member="Ogre::CompositionTechnique::TargetPasses" ref="e3bc01432cca2866776fc578be61b7b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&gt; <a class="el" href="classOgre_1_1CompositionTechnique.html#e3bc01432cca2866776fc578be61b7b5">Ogre::CompositionTechnique::TargetPasses</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Typedefs for several iterators. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00057">57</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5a54aecf9c72e8323b12d55199308c66"></a><!-- doxytag: member="Ogre::CompositionTechnique::TargetPassIterator" ref="5a54aecf9c72e8323b12d55199308c66" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1CompositionTechnique.html#e3bc01432cca2866776fc578be61b7b5">TargetPasses</a>&gt; <a class="el" href="classOgre_1_1VectorIterator.html">Ogre::CompositionTechnique::TargetPassIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00058">58</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f6b63a9d4592c48d2389525148a334ee"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinitions" ref="f6b63a9d4592c48d2389525148a334ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a>*&gt; <a class="el" href="classOgre_1_1CompositionTechnique.html#f6b63a9d4592c48d2389525148a334ee">Ogre::CompositionTechnique::TextureDefinitions</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00059">59</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="34f28a53486ea2cee58619b2c1a639fe"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinitionIterator" ref="34f28a53486ea2cee58619b2c1a639fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1CompositionTechnique.html#f6b63a9d4592c48d2389525148a334ee">TextureDefinitions</a>&gt; <a class="el" href="classOgre_1_1VectorIterator.html">Ogre::CompositionTechnique::TextureDefinitionIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00060">60</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5fde9e336592c35d6f710d60da1efb80"></a><!-- doxytag: member="Ogre::CompositionTechnique::Instances" ref="5fde9e336592c35d6f710d60da1efb80" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&gt; <a class="el" href="classOgre_1_1CompositionTechnique.html#5fde9e336592c35d6f710d60da1efb80">Ogre::CompositionTechnique::Instances</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List of instances. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00140">140</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="ed3697e1f5dee4e6e71b03338371dac9"></a><!-- doxytag: member="Ogre::CompositionTechnique::CompositionTechnique" ref="ed3697e1f5dee4e6e71b03338371dac9" args="(Compositor *parent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::CompositionTechnique::CompositionTechnique           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Compositor.html">Compositor</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3b37aab5a73a19c0c2537b33cea5256e"></a><!-- doxytag: member="Ogre::CompositionTechnique::~CompositionTechnique" ref="3b37aab5a73a19c0c2537b33cea5256e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::CompositionTechnique::~CompositionTechnique           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="4354d86478e8ec9fdf65024ea5ddfd6a"></a><!-- doxytag: member="Ogre::CompositionTechnique::createTextureDefinition" ref="4354d86478e8ec9fdf65024ea5ddfd6a" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a>* Ogre::CompositionTechnique::createTextureDefinition           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a new local texture definition, and return a pointer to it. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>Name of the local texture </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="4bba82fa0f4e54090a2497fe9f658fab"></a><!-- doxytag: member="Ogre::CompositionTechnique::removeTextureDefinition" ref="4bba82fa0f4e54090a2497fe9f658fab" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTechnique::removeTextureDefinition           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>idx</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove and destroy a local texture definition. 
<p>

</div>
</div><p>
<a class="anchor" name="c7ba0d0414282dde01b1d117b8dc5dc1"></a><!-- doxytag: member="Ogre::CompositionTechnique::getTextureDefinition" ref="c7ba0d0414282dde01b1d117b8dc5dc1" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a>* Ogre::CompositionTechnique::getTextureDefinition           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>idx</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a local texture definition. 
<p>

</div>
</div><p>
<a class="anchor" name="c9408a93189794940d922152d9c8f3c7"></a><!-- doxytag: member="Ogre::CompositionTechnique::getNumTextureDefinitions" ref="c9408a93189794940d922152d9c8f3c7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::CompositionTechnique::getNumTextureDefinitions           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the number of local texture definitions. 
<p>

</div>
</div><p>
<a class="anchor" name="03d4c71942abef880d9b2c9e363fe259"></a><!-- doxytag: member="Ogre::CompositionTechnique::removeAllTextureDefinitions" ref="03d4c71942abef880d9b2c9e363fe259" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTechnique::removeAllTextureDefinitions           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove all <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> Definitions. 
<p>

</div>
</div><p>
<a class="anchor" name="07fe9d82291bef342e223b765a88a5f1"></a><!-- doxytag: member="Ogre::CompositionTechnique::getTextureDefinitionIterator" ref="07fe9d82291bef342e223b765a88a5f1" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIterator.html">TextureDefinitionIterator</a> Ogre::CompositionTechnique::getTextureDefinitionIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over the TextureDefinitions in this <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="781c6fcbbfc75d7c4265e268e9749f93"></a><!-- doxytag: member="Ogre::CompositionTechnique::createTargetPass" ref="781c6fcbbfc75d7c4265e268e9749f93" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* Ogre::CompositionTechnique::createTargetPass           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a new target pass, and return a pointer to it. 
<p>

</div>
</div><p>
<a class="anchor" name="13b52dbaf483cd1ab0eec9edbef078e2"></a><!-- doxytag: member="Ogre::CompositionTechnique::removeTargetPass" ref="13b52dbaf483cd1ab0eec9edbef078e2" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTechnique::removeTargetPass           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>idx</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove a target pass. 
<p>
It will also be destroyed. 
</div>
</div><p>
<a class="anchor" name="6a37afdc7cf51e51912ce6704879e2d3"></a><!-- doxytag: member="Ogre::CompositionTechnique::getTargetPass" ref="6a37afdc7cf51e51912ce6704879e2d3" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* Ogre::CompositionTechnique::getTargetPass           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>idx</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a target pass. 
<p>

</div>
</div><p>
<a class="anchor" name="831f0aa39181fbd9b8fad6b637ce7c41"></a><!-- doxytag: member="Ogre::CompositionTechnique::getNumTargetPasses" ref="831f0aa39181fbd9b8fad6b637ce7c41" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::CompositionTechnique::getNumTargetPasses           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the number of target passes. 
<p>

</div>
</div><p>
<a class="anchor" name="4b34afd12984d3a5883e24b512c2b4a2"></a><!-- doxytag: member="Ogre::CompositionTechnique::removeAllTargetPasses" ref="4b34afd12984d3a5883e24b512c2b4a2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTechnique::removeAllTargetPasses           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove all target passes. 
<p>

</div>
</div><p>
<a class="anchor" name="472bbfd655c99319514ebc1fc58961c5"></a><!-- doxytag: member="Ogre::CompositionTechnique::getTargetPassIterator" ref="472bbfd655c99319514ebc1fc58961c5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIterator.html">TargetPassIterator</a> Ogre::CompositionTechnique::getTargetPassIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over the TargetPasses in this <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="2b2cd304cc127a05befe4e3f3e20d6e9"></a><!-- doxytag: member="Ogre::CompositionTechnique::getOutputTargetPass" ref="2b2cd304cc127a05befe4e3f3e20d6e9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* Ogre::CompositionTechnique::getOutputTargetPass           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get output (final) target pass. 
<p>

</div>
</div><p>
<a class="anchor" name="7395bb89044375bea1be770737651875"></a><!-- doxytag: member="Ogre::CompositionTechnique::isSupported" ref="7395bb89044375bea1be770737651875" args="(bool allowTextureDegradation)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::CompositionTechnique::isSupported           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>allowTextureDegradation</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determine if this technique is supported on the current rendering device. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>allowTextureDegradation</em>&nbsp;</td><td>True to accept a reduction in texture depth </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="6a188818c7d211f3098bc41911316ec2"></a><!-- doxytag: member="Ogre::CompositionTechnique::createInstance" ref="6a188818c7d211f3098bc41911316ec2" args="(CompositorChain *chain)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>* Ogre::CompositionTechnique::createInstance           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorChain.html">CompositorChain</a> *&nbsp;</td>
          <td class="paramname"> <em>chain</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create an instance of this technique. 
<p>

</div>
</div><p>
<a class="anchor" name="f5141ebed82c9d8f289d1282de4bb0b3"></a><!-- doxytag: member="Ogre::CompositionTechnique::destroyInstance" ref="f5141ebed82c9d8f289d1282de4bb0b3" args="(CompositorInstance *instance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::CompositionTechnique::destroyInstance           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&nbsp;</td>
          <td class="paramname"> <em>instance</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroy an instance of this technique. 
<p>

</div>
</div><p>
<a class="anchor" name="6b95f7376905fe23c3d5a27b0ec783d6"></a><!-- doxytag: member="Ogre::CompositionTechnique::getParent" ref="6b95f7376905fe23c3d5a27b0ec783d6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Compositor.html">Compositor</a>* Ogre::CompositionTechnique::getParent           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get parent object. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="791ad4ded1b613b23d43db23b62c690b"></a><!-- doxytag: member="Ogre::CompositionTechnique::mParent" ref="791ad4ded1b613b23d43db23b62c690b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Compositor.html">Compositor</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#791ad4ded1b613b23d43db23b62c690b">Ogre::CompositionTechnique::mParent</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parent compositor. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00130">130</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8d39acbfeeaa68fa427368cc8d88102f"></a><!-- doxytag: member="Ogre::CompositionTechnique::mTextureDefinitions" ref="8d39acbfeeaa68fa427368cc8d88102f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html#f6b63a9d4592c48d2389525148a334ee">TextureDefinitions</a> <a class="el" href="classOgre_1_1CompositionTechnique.html#8d39acbfeeaa68fa427368cc8d88102f">Ogre::CompositionTechnique::mTextureDefinitions</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Local texture definitions. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00132">132</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b7b054bcbf8c12d0b67adecba5dfcff1"></a><!-- doxytag: member="Ogre::CompositionTechnique::mTargetPasses" ref="b7b054bcbf8c12d0b67adecba5dfcff1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html#e3bc01432cca2866776fc578be61b7b5">TargetPasses</a> <a class="el" href="classOgre_1_1CompositionTechnique.html#b7b054bcbf8c12d0b67adecba5dfcff1">Ogre::CompositionTechnique::mTargetPasses</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Intermediate target passes. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00135">135</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="36aa8592eb69b1a98452ca89cb6d091d"></a><!-- doxytag: member="Ogre::CompositionTechnique::mOutputTarget" ref="36aa8592eb69b1a98452ca89cb6d091d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#36aa8592eb69b1a98452ca89cb6d091d">Ogre::CompositionTechnique::mOutputTarget</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Output target pass (can be only one). 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00137">137</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0a6ced342bcebc4022b1b6b9e713849d"></a><!-- doxytag: member="Ogre::CompositionTechnique::mInstances" ref="0a6ced342bcebc4022b1b6b9e713849d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html#5fde9e336592c35d6f710d60da1efb80">Instances</a> <a class="el" href="classOgre_1_1CompositionTechnique.html#0a6ced342bcebc4022b1b6b9e713849d">Ogre::CompositionTechnique::mInstances</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00141">141</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:23 2008
</p>
</body>
</html>
